#pragma once
#include "StaticWindow.h"
#include "textbox.h"
#include "skinnablelistbox.h"

class NewAccountWindow :
	public StaticWindow
{
public:
	NewAccountWindow();
	~NewAccountWindow();

	virtual int Create(HWND parent = 0);
	virtual void OnButton(HWND h);

	void DeepRefresh();
	void ClearContents();

	TextBox UserLogin;
	TextBox Password1, Password2;
	TextBox FirstName;
	TextBox LastName;
	TextBox Email;
	SkinnableListBox Year;

	SkinnableButton ok,cancel;
	TextBox status;

	Appearance YearStyle;

	UserRecord record;
};